Description

Currently the logic for fetching the routing cache and creating it resides solely in the RouterCachingAspect. This makes it hard for us
and for userland code to work with this cache without having to repeat the code. Instead of using the Aspect, there should be a
Service that implements all neccessary methods.

Related issues:
related to TYPO3.Flow - Task # 52704: Get rid of RouterCachingAspect Resolved 2013-10-11

Associated revisions
Revision a60ef3c8 - 2013-10-03 12:43 - Tim Kandel

[TASK] Refactor router caching logic into a service

This change removes most of the logic from the
RouterCachingAspect and introduces it in the form of a new
RouterCachingService.

Change-Id: I1a24b4192f46d38593e4bd01e9d1a620d8fee48e
Resolves: #52452
Releases: master

Revision 2a4a7f46 - 2013-10-15 18:18 - Bastian Waidelich

[TASK] Cleanup RouterCachingService

Some (mostly cosmetic) adjustments to our CGL and some
renamings to increase readability.

This also renames the misleading method Route::getMatchingUri()
by Route::getResolvedUriPath(). The old method is still available as
deprecated alias.

Change-Id: I2e671d1bb0f27fee74cc027a6e5016817c7303dd
Related: #52452
Releases: master

Revision d645b051 - 2013-10-15 18:19 - Bastian Waidelich
[TASK] Get rid of RouterCachingAspect

This moves code from the RouterCache AOP aspect to the Router itself
making the aspect redundant.

Before the cache handling of the Routing Framework has been extracted
to an AOP aspect in order to keep the Router code simple. Since the
introduction of the RouterCachingService (#52452) this is no longer
required.

Change-Id: I43fc35c55fdb69e1e67e08782ab0928bc37218de
Resolves: #52704
Related: #52452
Releases: master

History
#1 - 2013-10-02 10:39 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24242

#2 - 2013-10-02 13:15 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24242

#3 - 2013-10-02 13:30 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24242

#4 - 2013-10-02 15:43 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24242

#5 - 2013-10-02 16:56 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24242

#6 - 2013-10-03 09:36 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24242
#7 - 2013-10-03 12:43 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24242

#8 - 2013-10-03 19:35 - Tim Kandel
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:a60ef3c8672ff70b62f799ff6ea6ad1323f18a85.
